## ros-indigo-mico-description 0.0.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mico_description)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

#############
## Install ##
#############

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Install meshes
install(DIRECTORY meshes/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes
)

## Install URDF files
install(DIRECTORY urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

## Install rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

=== debian/changelog ===
ros-indigo-mico-description (0.0.25-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-mico-description (0.0.24-0trusty) trusty; urgency=high

  * reverted changelog
  * changelog updated
  * Contributors: Russell Toris

 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.23-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.22-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.21-0trusty) trusty; urgency=high

  * Joint 1,3,4 and 5 are continuous
  * Contributors: Mathijs de Langen

 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.20-0trusty) trusty; urgency=high

  * URDF is not needed on GIT (xacro is used)
  * jaco = mico
  * xacro updated to be in line with the urdf
  * mico model xacro model update
  * Mico description update
  * Added first part of the fingers
  * commented out the fingers
  * moveitmodel
  * Second positions fix
  * Fixed the positions of the joints
  * Mico descriptions
  * mico description adaptions
  * Stuff with models for the Mico
  * Contributors: Mathijs de Langen

 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.19-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.18-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.17-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.16-0trusty) trusty; urgency=high

  * changelogs updated
  * Added mico_description
  * Contributors: Mathijs de Langen, Russell Toris
  * Added mico_description
  * Contributors: Mathijs de Langen

 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-mico-description (0.0.15-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-mico-description (0.0.14-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-mico-description (0.0.13-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-mico-description (0.0.12-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-mico-description (0.0.11-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-mico-description (0.0.10-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 12 Dec 2014 05:00:00 -0000

ros-indigo-mico-description (0.0.9-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-mico-description (0.0.8-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.7-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.6-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.5-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Mon, 25 Aug 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.4-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Tue, 05 Aug 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.3-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.2-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-mico-description (0.0.1-0trusty) trusty; urgency=high



 -- Mathijs de Langen <langen@robot-rose.nl>  Thu, 31 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-mico-description
Section: misc
Priority: extra
Maintainer: Mathijs de Langen <langen@robot-rose.nl>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-mico-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: 3D Model and URDF of the Kinova MICO Arm

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mico-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
